com.atlassian.clover.spi.reporters.html.source

## Class LineRenderInfo

- java.lang.Object
- - com.atlassian.clover.spi.reporters.html.source.LineRenderInfo

-     public class LineRenderInfo
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LineRenderInfo()`
    `LineRenderInfo(java.lang.String coverageStr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.atlassian.clover.registry.entities.FullClassInfo` | `getClassStart()`
    `java.lang.String` | `getCoverageCountCSS()`
    `java.lang.String` | `getCoverageStr()`
    `com.atlassian.clover.registry.entities.StackTraceInfo.TraceEntry[]` | `getFailedStackEntries()`
    `boolean` | `getHilight()`
    `java.lang.String` | `getLineNumberCSS()`
    `MethodInfo` | `getMethodStart()`
    `java.lang.String` | `getMsg()`
    `java.lang.String` | `getSourceCSS()`
    `java.lang.String` | `getSrc()`
    `java.lang.String` | `getTestHitCSS()`
    `java.util.List<com.atlassian.clover.registry.entities.TestCaseInfo>` | `getTestHits()`
    `boolean` | `isFiltered()`
    `boolean` | `isHilight()`
    `void` | `setClassStart(com.atlassian.clover.registry.entities.FullClassInfo classStart)`
    `void` | `setCoverageCountCSS(java.lang.String coverageCountCSS)`
    `void` | `setCoverageStr(java.lang.String coverageStr)`
    `void` | `setFailedStackEntries(com.atlassian.clover.registry.entities.StackTraceInfo.TraceEntry[] failedStackEntries)`
    `void` | `setFiltered(boolean filtered)`
    `void` | `setHilight(boolean hilight)`
    `void` | `setLineNumberCSS(java.lang.String lineNumberCSS)`
    `void` | `setMethodStart(MethodInfo methodStart)`
    `void` | `setMsg(java.lang.String msg)`
    `void` | `setSourceCSS(java.lang.String sourceCSS)`
    `void` | `setSrc(java.lang.String src)`
    `void` | `setTestHitCSS(java.lang.String testHitCSS)`
    `void` | `setTestHits(java.util.List<com.atlassian.clover.registry.entities.TestCaseInfo> testHits)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LineRenderInfo

          public LineRenderInfo()

    - #### LineRenderInfo

          public LineRenderInfo(java.lang.String coverageStr)

  - ### Method Detail

    - #### setHilight

          public void setHilight(boolean hilight)

    - #### setClassStart

          public void setClassStart(com.atlassian.clover.registry.entities.FullClassInfo classStart)

    - #### setMethodStart

          public void setMethodStart(MethodInfo methodStart)

    - #### setFiltered

          public void setFiltered(boolean filtered)

    - #### setFailedStackEntries

          public void setFailedStackEntries(com.atlassian.clover.registry.entities.StackTraceInfo.TraceEntry[] failedStackEntries)

    - #### setTestHits

          public void setTestHits(java.util.List<com.atlassian.clover.registry.entities.TestCaseInfo> testHits)

    - #### setCoverageStr

          public void setCoverageStr(java.lang.String coverageStr)

    - #### setMsg

          public void setMsg(java.lang.String msg)

    - #### setSrc

          public void setSrc(java.lang.String src)

    - #### setLineNumberCSS

          public void setLineNumberCSS(java.lang.String lineNumberCSS)

    - #### setCoverageCountCSS

          public void setCoverageCountCSS(java.lang.String coverageCountCSS)

    - #### setSourceCSS

          public void setSourceCSS(java.lang.String sourceCSS)

    - #### setTestHitCSS

          public void setTestHitCSS(java.lang.String testHitCSS)

    - #### getHilight

          public boolean getHilight()

    - #### getCoverageStr

          public java.lang.String getCoverageStr()

    - #### getMsg

          public java.lang.String getMsg()

    - #### getClassStart

          public com.atlassian.clover.registry.entities.FullClassInfo getClassStart()

    - #### getMethodStart

          public MethodInfo getMethodStart()

    - #### getFailedStackEntries

          public com.atlassian.clover.registry.entities.StackTraceInfo.TraceEntry[] getFailedStackEntries()

    - #### getSrc

          public java.lang.String getSrc()

    - #### getLineNumberCSS

          public java.lang.String getLineNumberCSS()

    - #### getCoverageCountCSS

          public java.lang.String getCoverageCountCSS()

    - #### getSourceCSS

          public java.lang.String getSourceCSS()

    - #### getTestHitCSS

          public java.lang.String getTestHitCSS()

    - #### getTestHits

          public java.util.List<com.atlassian.clover.registry.entities.TestCaseInfo> getTestHits()

    - #### isFiltered

          public boolean isFiltered()

    - #### isHilight

          public boolean isHilight()